%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname shotgun
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary:        Automatic reloading version of the rackup command
Name:           rubygem-%{gemname}
Version:        0.9
Release:        1%{?dist}
Group:          Development/Languages
License:        MIT
URL:            http://github.com/rtomayko/shotgun/
Source0:        http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ruby(abi) = 1.8
Requires:       rubygems
Requires:       rubygem(rack) >= 1.0
BuildRequires:  rubygems
# The following two BR are for %%check
BuildRequires:  rubygem(rack) >= 1.0
BuildRequires:  rubygem(rake)
BuildArch:      noarch
Provides:       rubygem(%{gemname}) = %{version}

%description
This is an automatic reloading version of the rackup command that's shipped
with Rack. It can be used as an alternative to the complex reloading logic
provided by web frameworks or in environments that don't support
application reloading.

The shotgun command starts one of Rack's supported servers (e.g., mongrel,
thin, webrick) and listens for requests but does not load any part of the
actual application. Each time a request is received, it forks, loads the
application in the child process, processes the request, and exits the
child process. The result is clean, application-wide reloading of all
source files and templates on each request.


%package doc
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{gemdir}
gem install --local --install-dir $RPM_BUILD_ROOT%{gemdir} \
        --force %{SOURCE0}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mv $RPM_BUILD_ROOT%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir $RPM_BUILD_ROOT%{gemdir}/bin
find $RPM_BUILD_ROOT%{geminstdir}/bin -type f |xargs chmod a+x
rm -f %{geminstdir}/shotgun.gemspec


%clean
rm -rf $RPM_BUILD_ROOT

%check
cd %{buildroot}%{geminstdir}
rake test


%files
%defattr(-,root,root,-)
%{_bindir}/shotgun
%dir %{geminstdir}
%doc %{geminstdir}/man
%{geminstdir}/bin
%{geminstdir}/lib
%{geminstdir}/shotgun.gemspec
%doc %{geminstdir}/README
%doc %{geminstdir}/COPYING
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-,root,root,-)
%{geminstdir}/test
%{geminstdir}/man
%{geminstdir}/Rakefile
%{gemdir}/doc/%{gemname}-%{version}


%changelog
* Sat Jan 07 2012 <stahnma@fedoraproject.org> - 0.9-1
- Rebuilt and update
- Fix bug  #715702

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Sep 04 2010 Michael Stahnke <mastahnke@gmail.com> - 0.8-1
- New version
- No longer requires launchy
- Added %%check

* Thu Jan 07 2010 Michal Fojtik <mfojtik@redhat.com> - 0.4-1
- Version-Release
- Fixed documentation

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3-3
- Get rid of duplicate files (thanks to Mamoru Tasaka)

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3-2
- Fix up documentation list
- Depend on ruby(abi)
- Replace defines with globals

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3-1
- Package generated by gem2rpm
- Fix up License
